/{organizationId}/{mandateId}/booking/resources/checkIns/{checkInId}Get check-in
Returns a specific check-in for a resource.
Required permissions:
mandate.read
resource.read
resourceCheckIn.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired checkInIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/resources/checkIns/{checkInId}' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
ObjectId as string
ObjectId as string
resourceNamestringrequired ObjectId as string
siteNamestringrequired Additional properties are not allowed.
keystringoptional checkInAtdate-timerequired checkOutAtdate-time | nullrequired createdAtdate-time | nulloptional Response
{
"_id": "000000000000000000000001",
"mandate": "000000000000000000000001",
"resource": "000000000000000000000001",
"resourceName": "string",
"site": "000000000000000000000001",
"siteName": "string",
"contact": {
"name": "string",
"type": "contact",
"nameNormalized": "string",
"nameSort": "string",
"contact": "000000000000000000000001",
"image": {
"resource": "string"
},
"user": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
}
},
"checkInAt": "2026-06-15T22:30:00Z",
"checkOutAt": "2026-06-15T22:30:00Z"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}